#
# spec file for package python-retry
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-retry
Version:        0.9.2
Release:        4.3
Summary:        Python retry decorator
License:        Apache-2.0
URL:            https://github.com/invl/retry
Source:         https://files.pythonhosted.org/packages/source/r/retry/retry-%{version}.tar.gz
BuildRequires:  %{python_module pbr}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module decorator >= 3.4.2}
BuildRequires:  %{python_module pytest}
# /SECTION
BuildRequires:  fdupes
Requires:       python-decorator >= 3.4.2
BuildArch:      noarch

%python_subpackages

%description
Easy to use retry decorator.

%prep
%setup -q -n retry-%{version}
sed -i '/tox/d;/wheel/d' test-requirements.txt
sed -i '/py\>/d' requirements.txt

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc AUTHORS ChangeLog README.rst
%license LICENSE
%{python_sitelib}/retry
%{python_sitelib}/retry-%{version}.dist-info

%changelog
* Wed Sep  4 2024 Steve Kowalik <steven.kowalik@suse.com>
- Switch to pyproject macros.
- No more greedy globs in %%files.
- Remove unneeded dependency on pylib.
* Fri Apr  8 2022 pgajdos@suse.com
- python-mock is not required for build
* Mon Jan 25 2021 Dirk Müller <dmueller@suse.com>
- use pytest macro
* Thu Mar 21 2019 John Vandenberg <jayvdb@gmail.com>
- Remove unnecessary bcond test
- Add fdupes
- Remove build dependencies devel, tox and wheel
- Use %%license
* Fri Oct 20 2017 toddrme2178@gmail.com
- initial version
